Bug 241498 - x server/i810/i915 won't re-initialize
x server/i810/i915 won't re-initialize
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Adam Jackson
: 448340 454055 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-05-26 16:02 EDT by jan p. springer
Modified: 2008-09-10 03:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log (19.38 KB, text/plain)
2007-05-26 16:03 EDT, jan p. springer
no flags Details
dmesg at time of crash (20.24 KB, text/plain)
2007-05-26 16:04 EDT, jan p. springer
no flags Details
lsmod at time of crash (3.39 KB, text/plain)
2007-05-26 16:04 EDT, jan p. springer
no flags Details
lspci -vv (10.77 KB, text/plain)
2007-05-26 16:05 EDT, jan p. springer
no flags Details
/var/log/messages at time of crash (1.56 KB, text/plain)
2007-05-26 16:12 EDT, jan p. springer
no flags Details
/proc/dri/*/* at time of crash (460 bytes, text/plain)
2007-05-26 16:13 EDT, jan p. springer
no flags Details
/proc/mtrr (467 bytes, text/plain)
2007-05-26 16:14 EDT, jan p. springer
no flags Details

  None (edit)
Description jan p. springer 2007-05-26 16:02:35 EDT
Description of problem:

restarting the x server doesn't work, reboot is necessary

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. login into x session
2. logout
3. x server crashes
Actual results:

x server crashes

Expected results:

x server restarts und display manager appears

Additional info:
Comment 1 jan p. springer 2007-05-26 16:03:37 EDT
Created attachment 155507 [details]
Comment 2 jan p. springer 2007-05-26 16:04:21 EDT
Created attachment 155508 [details]
dmesg at time of crash
Comment 3 jan p. springer 2007-05-26 16:04:43 EDT
Created attachment 155509 [details]
lsmod at time of crash
Comment 4 jan p. springer 2007-05-26 16:05:03 EDT
Created attachment 155510 [details]
lspci -vv
Comment 5 jan p. springer 2007-05-26 16:12:18 EDT
Created attachment 155511 [details]
/var/log/messages at time of crash
Comment 6 jan p. springer 2007-05-26 16:13:43 EDT
Created attachment 155512 [details]
/proc/dri/*/* at time of crash
Comment 7 jan p. springer 2007-05-26 16:14:11 EDT
Created attachment 155513 [details]
Comment 8 jan p. springer 2007-06-03 18:28:17 EDT
upgraded to fedora 7. when rhgb is active the xserver will still crash after the
first user session. when booting without rhgb everything works fine, so far.
Comment 9 Jesse Barnes 2008-01-10 17:39:24 EST
Hm, wonder if it's related to #241225.  Does rhgb behave differently on intel 
vs. other configurations I wonder?
Comment 10 Bug Zapper 2008-05-14 08:14:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2008-06-16 21:19:48 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Matěj Cepl 2008-09-09 16:56:39 EDT
*** Bug 448340 has been marked as a duplicate of this bug. ***
Comment 13 Matěj Cepl 2008-09-09 16:57:18 EDT
*** Bug 454055 has been marked as a duplicate of this bug. ***
Comment 14 Björn Persson 2008-09-09 18:24:14 EDT
If bug 448340 is a duplicate of this one then this bug is still present in Fedora 9 and should not have been closed when Fedora 7 was EOLd. Somebody please reopen this bug against Fedora 9. It seems I'm not allowed to do it.
Comment 15 antonio montagnani 2008-09-10 01:50:46 EDT
same for Bug 454055, that is still present in F9 and F10....
Comment 16 jan p. springer 2008-09-10 03:26:37 EDT
am running now on fedore 9. the bug does not occur here afaict.

Note You need to log in before you can comment on or make changes to this bug.